<?php

// 20080415 - Add notice about layout modifications
/*
 * Please refer to
 * "FirstSpot\authserv\template\alogin_form_body.tpl"
 * for HTML layout content
 */

require_once "fs_login.php";
require_once "fs_lang.php"; // 20080402
require_once 'generate_common.php';

// 20080402 - Moved from extra_info.php and modify
$text_extra_field = array();
$text_extra_field[] = get_var('extra_field1');
$text_extra_field[] = get_var('extra_field2');
$text_extra_field[] = get_var('extra_field3');
$text_extra_field[] = get_var('extra_field4');
$text_extra_field[] = get_var('extra_field5');
$text_extra_field[] = get_var('extra_field6');
$text_extra_field[] = get_var('extra_field7');
$text_extra_field[] = get_var('extra_field8');
$text_extra_field[] = get_var('extra_field9');
$text_extra_field[] = get_var('extra_field10');
$inputName = array ("extra01", "extra02", "extra03", "extra04", "extra05", "extra06", "extra07", "extra08", "extra09", "extra10");

// 20080402 - Collect dynamic HTML content for layout
$smarty->assign('L_ALOGIN_FORM_CHARSET', metaCharset());
$smarty->assign('L_ALOGIN_FORM_TITLE', get_var('greeting'));
$smarty->assign('L_ALOGIN_FORM_LANG_BOX', language_selection_box()); // generate a selection box for user to choose language
$smarty->assign('ALOGIN_FORM_PIC', $pic);
$smarty->assign('L_ALOGIN_FORM_ANONYMOUS', get_var('anonymous'));
$extraInfoStr = '';
foreach ($text_extra_field as $key => $value) {
    if (strcmp($value, "") != 0) {
	$extraInfoStr .= "
			<tr><td width=\"30%\"><span class=\"extrainfospan\">".$value."</span></td></tr>
			<tr><td width=\"70%\"><input class=\"extrainfobox\" type=\"text\" size=\"8px\" name=\"".$inputName[$key]."\"></td></tr>";
    }
}
$smarty->assign('L_ALOGIN_FORM_EXTRA_INFO', $extraInfoStr);
$sharedSecretStr = '';
if (fs_is_shared_secret_in_anonymous_mode()) {
    $sharedSecretStr = '
				    <span class="pwdspan">'.get_var('anonymous_shared_secret').'</span>
				    <input class="passwordbox" type="password" name="secret_code" size="8px" tabindex="1" maxlength="40">';
}
$smarty->assign('L_ALOGIN_FORM_SHARED_SECRET', $sharedSecretStr);
$smarty->assign('ALOGIN_FORM_SUBMIT', get_var('ok_btn'));
if (isset($sLoginRemind)) {
    if ($sLoginRemind == '') {
	$smarty->assign('L_ALOGIN_FORM_REMIND_COMMENT_OPEN', '<!--');
	$smarty->assign('L_ALOGIN_FORM_REMIND_COMMENT_CLOSE', '-->');
    } else {
	$smarty->assign('L_ALOGIN_FORM_REMIND_COMMENT_OPEN', '');
	$smarty->assign('L_ALOGIN_FORM_REMIND_COMMENT_CLOSE', '');
    }
    $smarty->assign('L_ALOGIN_FORM_REMIND', $sLoginRemind);
} else {
    $smarty->assign('L_ALOGIN_FORM_REMIND', '');
    $smarty->assign('L_ALOGIN_FORM_REMIND_COMMENT_OPEN', '<!--');
    $smarty->assign('L_ALOGIN_FORM_REMIND_COMMENT_CLOSE', '-->');
}

// 20090921 - Temp modification in v6, mod TPL in the next version
if (isset($disable_show_example) && $disable_show_example == 1) {
	$smarty->assign('L_ALOGIN_FORM_EXAMPLE', '');
} else {
	$smarty->assign('L_ALOGIN_FORM_EXAMPLE', get_var('example'));
}

$smarty->assign('L_ALOGIN_FORM_FREE_WEBSITE', get_var('free_website'));
if (isset($sLoginLink)) {
    if (count($sLoginLink) <= 0) {
	$smarty->assign('L_ALOGIN_FORM_LINK_COMMENT_OPEN', '<!--');
	$smarty->assign('L_ALOGIN_FORM_LINK_COMMENT_CLOSE', '-->');
	$smarty->assign('L_ALOGIN_FORM_LINK', '');
    } else {
	$smarty->assign('L_ALOGIN_FORM_LINK_COMMENT_OPEN', '');
	$smarty->assign('L_ALOGIN_FORM_LINK_COMMENT_CLOSE', '');
	$cLoginLink = '';
	$i = 0;
	while ($i < count($sLoginLink)) {
	    if (isset($sLoginLink[$i][0]) && isset($sLoginLink[$i][1])) {
		$cLoginLink .= '
			    <tr><td><a class="freelink" href="'.$sLoginLink[$i][1].'">'.$sLoginLink[$i][0].'</a></td></tr>';
	    } else {
		$cLoginLink .= '
			    <tr><td><br></td></tr>';

	    }
	    $i++;
	}
	$smarty->assign('L_ALOGIN_FORM_LINK', $cLoginLink);
    }
} else {
    $smarty->assign('L_ALOGIN_FORM_LINK_COMMENT_OPEN', '<!--');
    $smarty->assign('L_ALOGIN_FORM_LINK_COMMENT_CLOSE', '-->');
    $smarty->assign('L_ALOGIN_FORM_LINK', '');
}
$smarty->assign('L_ALOGIN_FORM_TERM_TITLE', get_var('term_condition'));
if (isset($sLoginTerm)) {
    if ($sLoginTerm == '') {
	$smarty->assign('L_ALOGIN_FORM_TERM_COMMENT_OPEN', '<!--');
	$smarty->assign('L_ALOGIN_FORM_TERM_COMMENT_CLOSE', '-->');
    } else {
	$smarty->assign('L_ALOGIN_FORM_TERM_COMMENT_OPEN', '');
	$smarty->assign('L_ALOGIN_FORM_TERM_COMMENT_CLOSE', '');
    }
    $smarty->assign('L_ALOGIN_FORM_TERM_CONTENT', $sLoginTerm);
} else {
    $smarty->assign('L_ALOGIN_FORM_TERM_COMMENT_OPEN', '<!--');
    $smarty->assign('L_ALOGIN_FORM_TERM_COMMENT_CLOSE', '-->');
    $smarty->assign('L_ALOGIN_FORM_TERM_CONTENT', '');
}
$smarty->assign('L_ALOGIN_FORM_TECH_BY', get_var('login_form_tech_by'));

// 20080709 - Add new tag to pass redirect information
$sOkUrl = '';
if (isset($sslRedir)) {
    $sOkUrl = "?&sslredir=$sslRedir";
} elseif (isset($loginPage)) {
    $sOkUrl = "?&loginPage=$loginPage";
}
$smarty->assign('ALOGIN_FORM_OKURL', $sOkUrl);

// variable <p_result> init by generate_common.php
$l_meta="";
$l_body="";
if($p_result == 1){
	// workaround for add meta tag (purpose: set width = device width, scale = 1, <work in wm6.5 >) inside head tag through J_COMMON
	$l_meta.='<META content="width=device-width,minimum-scale=1.0,maximum-scale=1.0" name=viewport>';
	$j_common.=$l_meta;
	
	// workaround for window.onload <fs_login.php> not work in some mobile device (wm6.1.0 or previous version)
	$l_body='onload=fillName()';
	$smarty->assign('L_ALOGIN_FORM_BODY', $l_body);
	
}

$smarty->assign('J_COMMON', $j_common);

// 20080402 - Move layout content and include the file here
if (isset($enableRedir) && $enableRedir == 1) {
    $smarty->display($redirTpl);
} else {
    $smarty->display('alogin_form_body.tpl');
}

?>
