<?php

require_once "fs_lang.php";
require_once "common_functions.php";
require_once 'generate_common.php';

$wait_before_redirect=3;

$text_title=get_var('ReqSignUp_form');

$success_url=$_POST['success_url'];
$failed_url=$_POST['failed_url'];

// 20071031 - Add trial mode URL
$success_url_trial = $_POST['success_url_trial'];
$cart_url = $_POST['cart_url'];
$failed_login_url = $_POST['failed_login_url'];

$return_result_text[0]=get_var('ReqSignUp_ok_header');
$return_result_text[1]=get_var('ReqSignUp_problem_field_empty'); 
$error_message_header=get_var('ReqSignUp_fail_header');
$error_message_footer=get_var('ReqSignUp_fail_link');
$success_message_footer=get_var('ReqSignUp_ok_link');

$settingobj = new COM("FSCONFIG.Cfgmgr") or die("fs_ReqSignUp.php FSCONFIG.Cfgmgr Object cannot be created!");

// 20071031 - Obtain more flags from config
$secret_enable = $settingobj->getKey('secret_enable', 'gateway');
$isRedirect = $settingobj->getKey('redirect_cart', 'gateway');

$arr = array('01', '02', '03', '04', '05', '06', '07', '08', '09', '10');
foreach ($arr as $value) {
    ${"ReqSignUp$value"."_not_empty"} = $settingobj->getKey( "ReqSignUp$value", "lang");
}

// get the absolute path and infobox port
$urlhead=fs_urlhead("infobox");

//release object
//$settingobj->Release();
$settingobj=null;

$emptyFieldError = 0;
$isUpdate = 0;

foreach ($arr as $value) {
    if (isset(${"ReqSignUp$value"})) {
        if (${"ReqSignUp$value"} != ""){
            $isUpdate = 1;
        }else if (${"ReqSignUp$value"."_not_empty"} == 'on'){
            $emptyFieldError = 1;
        }
    }
    if( $emptyFieldError )
        break;
}

$submit_url = $success_url;

if( $emptyFieldError ){
    $status_message = "<span class=\"failloginspan\">".$error_message_header."</span><br><br>";
    $status_message.="<span class=\"textspan\">".$return_result_text[1]."</span><br><a class=\"freelink\" href=".$failed_url.">".$error_message_footer."</a><br>";
    $submit_url = $failed_url;
} else {
    // 20071031 - Check mode from DLL
    $myobj = new COM('FSAUTH.Authserv') or die('fs_ReqSignUp.php FSAUTH.Authserv Object cannot be created!');
    $useragent = $_SERVER['HTTP_USER_AGENT'];
    $username = $_SESSION['session_username'];
    $password = $_SESSION['session_password'];
    if (strtolower($secret_enable) == 'on') {
	$objrsult = $myobj->Authenticate('', $secret_code, $sess_patronsoft1, $sess_patronsoft2, $useragent);
    } else {
	if(isset($logout)) {
	    $objrsult = $myobj->ForceLogout($username);
	}
	$objrsult = $myobj->Authenticate($username, $password, $sess_patronsoft1, $sess_patronsoft2, $useragent);
    }
    if ($objrsult == 'TR_MODE' || $objrsult == 'SUCCESS' || $objrsult == 'INSERT_TABLE' || $objrsult == 'ALREADY_SERVING' || $objrsult == 'ALREADY_LOGGED') {
	if( $isUpdate ){
	    $q = "UPDATE ".fs_usr_table()." SET ";

	    foreach ($arr as $value)
	    if (isset(${"ReqSignUp$value"}))
		$q .= "SIGNUP$value = '".${"ReqSignUp$value"}."', ";

	    $q = substr($q, 0, strlen($q) - 2);  //trim the ending comma

	    $q .= ", REQSIGNUP = NULL WHERE NAME = '$session_username';";
	    
	    $result = db_query($q);
	}
	if ($objrsult == 'TR_MODE') {
		$submit_url = $success_url_trial;
	} else if ($objrsult == 'SUCCESS' || $objrsult == 'INSERT_TABLE') {
	    if (!session_id()) {
		session_start();
	    }
	    if (isset($_SESSION['session_username'])) {
		$_SESSION['session_username'] = '';
	    }
	} else if ($objrsult == 'ALREADY_SERVING') {
	} else if ($objrsult == 'ALREADY_LOGGED') {
	    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('redirect.php FSCONFIG.Cfgmgr Object cannot be created!');
	    $showinfo = $settingobj->getKey('show_infobox', 'gateway');
		$start_up_redirect_option = $settingobj->getKey("start_up_redirect_option", "gateway");
		//20080827	added redirect to info box option 
		if ($start_up_redirect_option == 2){//redirect to info box instead of pop-up
			$showinfo="off";
		}
	    $settingobj = null;
		//20080829	make infobox resizabe
	    // 20080410 - Return string instead of echo
	    $scriptStr = '';
	    if (strtolower($showinfo) == "on") {
		$scriptStr = "
	var y = window.screen.availHeight - 25;
	var x = window.screen.availWidth - 10;
	var w = 400;
	var h = 200;
	y -= h;
	x -= w;

	function popInfoBox()
	{
		if (test){
		    popupWin = window.open('', 'firstspotInfoBox', 'toolbar=no,menubar=no,scrollbars=no,resizable=yes,top=' + y + ', left=' + x + ', height=' + h + ', width=' + w);
		    if (popupWin) {
			popupWin.location='".$urlhead."info.php?state=wait';
			popupWin.focus();
		    }
	    }
	}";
	    }
		    
	    $input = '<br><span class="failloginspan">'.get_var('logged').'</span><br><br>
		<form class="failloginspan" name="forcelogout" action="fs_login.php" method="post">
		<input type="hidden" name="username" value="'.$username.'">
		<input type="hidden" name="password" value="'.$password.'">
		<input type="hidden" name="sess_patronsoft1" value="'.$sess_patronsoft1.'">
		<input type="hidden" name="sess_patronsoft2" value="'.$sess_patronsoft2.'">
		<input type="hidden" name="ok_url" value="redirect.php">
		<input type="hidden" name="fail_url" value="login_form.php">
		<input type="hidden" name="zero_url" value="cart.php">
		<input type="hidden" name="cart_url" value="cart.php">
		<input type="hidden" name="logout" value="true">
		<input type="submit" class="normalbtn" name="btn_relogin" value="Click here to re-login" onclick="popInfoBox()">
		</form>';
	    GenTable('', $input, $scriptStr);
	}
    } else {
	if (strcmp($_SESSION['session_username'], "") == 0) {
	    $_SESSION['session_username'] = $username;
	}
	$meta='';
	if ($objrsult == 'ZERO_TIMELEFT') {
	    if (!session_id()) {
		session_start();
	    }
	    $input = '<span class="failloginspan">'.get_var('no_usage').'</span><br>';
	    if ($isRedirect == 1) {
		$meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$cart_url."?reason=nousage'>";
	    }
	} else if ($objrsult == 'BWFAIL') {
	    if (!session_id()) {
		session_start();
	    }
	    $input = '<span class="failloginspan">'.get_var('data_transfer_0').'</span><br>';
	    if ($isRedirect == 1) {
		$meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$cart_url."?reason=bwfail'>";
	    }
	} else if ($objrsult == 'BWFAILUL') {
	    if (!session_id()) {
		session_start();
	    }
	    $input = '<span class="failloginspan">'.get_var('data_transfer_1').'</span><br>';
	    if ($isRedirect == 1) {
		$meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$cart_url."?reason=bwfailul'>";
	    }
	// 20071127 - Add bandwidth quota sharing case
	} else if ($objrsult == 'BWFAILSHARE') {
	    if (!session_id()) {
		session_start();
	    }
	    $input = '<span class="failloginspan">'.get_var('data_transfer_2').'</span><br>';
	    if ($isRedirect == 1) {
		$meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$cart_url."?reason=bwfailshare'>";
	    }
	} else if ($objrsult == 'ACC_DISABLED') {
	    if (!session_id()) {
		session_start();
	    }
	    $input = '<span class="failloginspan">'.get_var('acc_disabled').'</span><br>';
	    if ($isRedirect == 1) {
		$meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$cart_url."?reason=disabled'>";
	    }
	} else if ($objrsult == 'START_DATE') {
	    if (!session_id()) {
		session_start();
	    }
	    $input = '<span class="failloginspan">'.get_var('start_date').'</span><br>';
	    if ($isRedirect == 1) {
		$meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$cart_url."?reason=sdate'>";
	    }
	} else if ($objrsult == 'MAX_LOGINS') {
	    if (!session_id()) {
		session_start();
	    }
	    $input = '<span class="failloginspan">'.get_var('max_logins').'</span><br>';
	    if ($isRedirect == 1) {
		$meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$cart_url."?reason=maxlogins'>";
	    }
	} else if ($objrsult == 'EXPIRY_DATE') {
	    if (!session_id()) {
		session_start();
	    }
	    $input = '<span class="failloginspan">'.get_var('expiry_date').'</span><br>';
	    if ($isRedirect == 1) {
		$meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$cart_url."?reason=edate'>";
	    }
	} else if ($objrsult == 'SECRET_ERROR') {
	    $input = '<span class="failloginspan">wrong code! Please try again...</span><br>';
	    $meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$failed_login_url."?reason=invalid'>";
	} else if ($objrsult == 'REACH_CONC_MAX') {
	    $input = '<span class="failloginspan">'.get_var('login_max_conc').'</span><br>';
	} else if ($objrsult == 'MAC_MISMATCH') {
	    $input = '<span class="failloginspan">'.get_var('mac_mismatch').'</span><br>';
	} else {
	    $input = '<span class="failloginspan">'.get_var('invalid').'</span><br>';
	    $meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_before_redirect.";URL=".$failed_login_url."?reason=invalid'>";
	}
	GenTable($meta, $input, '');
    }
}

$smarty = new SmartyConnect;
$smarty->assign('L_FSREQSIGNUP_CHARSET', metaCharset());
$smarty->assign('FSREQSIGNUP_WAIT', $wait_before_redirect);
$smarty->assign('FSREQSIGNUP_SUBMIT_URL', $submit_url);
$smarty->assign('L_FSREQSIGNUP_TITLE', $text_title);
if ($submit_url == $failed_url) {
    $smarty->assign('L_FSREQSIGNUP_MSG', $status_message);
} else {
    $smarty->assign('L_FSREQSIGNUP_MSG', $return_result_text[0]);
}
$smarty->assign('J_COMMON', $j_common);

$smarty->display('fs_reqsignup_body.tpl');

?>
