<?php

require_once "fs_lang.php";
require_once "common_functions.php";
require_once 'generate_common.php';

$wait_before_redirect=3;
$security = false;

$text_title=get_var('signup_form');
$username=$_POST['username'];
$password1=$_POST['password1'];
$password2=$_POST['password2'];
$success_url=$_POST['success_url'];
$failed_url=$_POST['failed_url'];
$failed_url2=$_POST['failed_url2'];
$return_result_text[0]=get_var('signup_ok_header');
$return_result_text[1]=get_var('signup_problem_id_empty');
$return_result_text[2]=get_var('signup_problem_id_duplicate');
$return_result_text[3]=get_var('signup_problem_pwd_empty');  
$return_result_text[4]=get_var('signup_problem_pwd_mismatch'); 
$return_result_text[5]=get_var('signup_problem_signup_once'); 
$return_result_text[6]=get_var('signup_problem_signup_later'); 
$return_result_text[7]=get_var('signup_problem_no_mac'); 
$return_result_text[8]=get_var('signup_problem_field_empty');
$return_result_text[9]=get_var('signup_problem_security_code_mismatch'); 

// 20090402 - For database not available
$return_result_text[10]=get_var('signup_problem_db_unavailable');

$error_message_header=get_var('signup_fail_header');
$error_message_footer=get_var('signup_fail_link');
$success_message_footer=get_var('signup_ok_link');
$settingobj = new COM("FSCONFIG.Cfgmgr") or die("fs_signup.php FSCONFIG.Cfgmgr Object cannot be created!");
$initial_credit=$settingobj->getKey( "self_sign_up_credit", "gateway");
$session_handling=$settingobj->getKey( "session_handling", "gateway");
$redirect_address = $settingobj->getKey( 'redirect_address', 'gateway');
//self_sign_up attributes

// 20090325 - Add checking if show domain name or IP
$show_domain_URL = $settingobj->getKey('show_domain_URL', 'gateway');
$loginform = 'http://';
if ($show_domain_URL == 1) {
	// 20090330 - Check version type for correct gateway domain
	$versionType = $settingobj->getKey('version', 'version');

	// 20090518 - Remove Start
	if (substr_count(strtolower($versionType), 'standard') > 0) {
		$loginform .= 'firstspot.org';
	} else {
		$loginform .= $settingobj->getKey('gateway_domain', 'gateway');
		if ($loginform == 'http://') {
			$loginform .= 'firstspot.org';
		}
	}
} else {
    $loginform .= $settingobj->getKey('gateway_IP', 'gateway');
}
$loginform .= ':'.$settingobj->getKey('auth_port', 'gateway');

$self_sign_up_option=$settingobj->getKey( "self_sign_up_option", "gateway");
$redirect_url = $settingobj->getKey( 'self_sign_up_redirect', 'gateway');
$initial_plan = $settingobj->getKey( "self_sign_up_plan", "gateway");

$captcha_check = $settingobj->getKey('self_sign_up_captcha_check', 'gateway');
if ($captcha_check == 'on' && isset($_POST['security_code']))
	$security_code=$_POST['security_code'];

//try to get ip use php if $sess_patronsoft2 is null
//this will only happen when the user directly access to signup_form.php or login_form.php
if ($session_handling == "1" && $_SESSION['sess_patronsoft2'] == "") 
    //flip ip address and convert it into long format
    $_SESSION['sess_patronsoft2'] = ip2long(join('.', array_reverse( explode('.', $_SERVER['REMOTE_ADDR']) ) ));  

//$isUpdate = false;

$arr = array('01', '02', '03', '04', '05', '06', '07', '08', '09', '10');

foreach ($arr as $value) {
    ${"signup$value"."_not_empty"} = $settingobj->getKey( "ReqSignUp$value", "lang");
}
//release object
//$settingobj->Release();
$settingobj=null;

foreach ($arr as $value) {
    if (isset(${"signup$value"}) && (${"signup$value"."_not_empty"} == 'on'))
        if (${"signup$value"} == "" )
            $create_result = 8;
}

// the captcha check is off
if (!isset($security_code) && $captcha_check == 'off' ){
	$security = true;
}
//Compare security code 
else if (isset($_SESSION['session_security_code']) && isset($_POST['security_code'])){
	if ($_SESSION['session_security_code'] == $security_code ){
		$security = true;
	}
}

if (!isset($create_result)){
		if (!isset($_SESSION['sess_patronsoft2']))
			$_SESSION['sess_patronsoft2'] = "";
    $create_result=fs_create_user($username,$password1,$password2,$initial_credit,$_SESSION['sess_patronsoft2'],$security);
}
// username, 1st password, 2nd password, timeleft assigned

// update the user table with plan setting
if ($create_result == 0 ) {
    if ($initial_plan != "") {
        $q = fs_usr_plan_update_query($initial_plan, $username);
        
		// 20090403 - Improve error handling
        if ($q != null) {
            $result = db_query($q);
			if ($result == FALSE) {
				$create_result = 10;
			}
		}
    }
}

// update the user table with extra information field
if ($create_result == 0) {
    $q = "UPDATE ".fs_usr_table()." SET ";

    foreach ($arr as $value)
        if (isset(${"signup$value"}))
            $q .= "SIGNUP$value = '".${"signup$value"}."', ";

    $q = substr($q, 0, strlen($q) - 1);  //trim the ending comma

    $q .= " REQSIGNUP = NULL WHERE NAME = '$username'";
    $result = db_query($q);

	// 20090403 - Improve error handling
	if ($result == FALSE) {
		$create_result = 10;
	}
}

//determine self_sign_up_option
// 20090323 - Redirect to sign-up form for no IP/MAC
if (!isset($_SESSION['sess_patronsoft2']) || $_SESSION['sess_patronsoft2'] == '') {
    $redirect_url = $failed_url;
} elseif ($self_sign_up_option == 0)
   $redirect_url="";
else if ($self_sign_up_option == 1) {
   $redirect_url=$loginform;
   $_SESSION['sess_loginPage'] = true;
}
else if ($self_sign_up_option == 2)
   $redirect_url="cart.php?username=$username";
else if ($self_sign_up_option == 4)
   $redirect_url="login_form.php";

$failed_url.="?error_code=".$create_result;
$failed_url2.="?error_code=".$create_result;

$status_message = "<span class=\"failloginspan\">".$error_message_header."</span><br><br>";

if ($create_result == 0)                                
    // 20090325 - Check session variable
    if (!isset($_SESSION['sess_patronsoft2']) || $_SESSION['sess_patronsoft2'] == '') {
	$status_message ="<span class=\"textspan\">".$return_result_text[0]."</span><br><a class=\"freelink\" href=\"$failed_url\">".$success_message_footer."</a><br>";
    } else {
	$status_message ="<span class=\"textspan\">".$return_result_text[0]."</span><br><a class=\"freelink\" href=\"$success_url\">".$success_message_footer."</a><br>";
    }
else if ($create_result == 1)                                                                     
    $status_message.="<span class=\"textspan\">".$return_result_text[1]."</span><br><a class=\"freelink\" href=".$failed_url.">".$error_message_footer."</a><br>";
else if ($create_result == 2)                                                                                                          
    $status_message.="<span class=\"textspan\">".$return_result_text[2]."</span>&nbsp;&nbsp;<span class=\"boldtextspan\">".$username.".</span><br><a class=\"freelink\" href=".$failed_url.">".$error_message_footer."</a><br>";
else if ($create_result == 3)                                                                                                          
    $status_message.="<span class=\"textspan\">".$return_result_text[3]."</span><br><a class=\"freelink\" href=".$failed_url.">".$error_message_footer."</a><br>";
else if ($create_result == 4)                                                                                                          
    $status_message.="<span class=\"textspan\">".$return_result_text[4]."</span><br><a class=\"freelink\" href=".$failed_url.">".$error_message_footer."</a><br>";
else if ($create_result == 5)                                                                                                          
    $status_message.="<span class=\"textspan\">".$return_result_text[5]."</span><br><a class=\"freelink\" href=".$failed_url2.">".$error_message_footer."</a><br>";
else if ($create_result == 6)                                                                                                          
    $status_message.="<span class=\"textspan\">".$return_result_text[6]."</span><br><a class=\"freelink\" href=".$failed_url.">".$error_message_footer."</a><br>";
else if ($create_result == 7)                                                                                                          
    // 20090325 - Redirect to login page for session IP/MAC
    $status_message .= "<span class=\"textspan\">".$return_result_text[7]."</span><br><a class=\"freelink\" href=".$loginform.">".$error_message_footer."</a><br>";
else if ($create_result == 8)                                                                                                          
    $status_message.="<span class=\"textspan\">".$return_result_text[8]."</span><br><a class=\"freelink\" href=".$failed_url.">".$error_message_footer."</a><br>";
else if ($create_result == 9)                                                                                                          
    $status_message.="<span class=\"textspan\">".$return_result_text[9]."</span><br><a class=\"freelink\" href=".$failed_url.">".$error_message_footer."</a><br>";

// 20090403 - DB not available
else if ($create_result == 10) {
    $status_message .= '<span class="textspan">'.$return_result_text[10].'</span><br><a class="freelink" href='.$failed_url.'>'.$error_message_footer.'</a><br>';
}
    
if ($create_result == 0) {
    $submit_url=$success_url."?username=".$username;
    $form_element="username";
    $element_value=$username;
    if(!session_id())
        session_start();

    $_SESSION['session_username']=$username;
} else {
    $submit_url=$failed_url;
    $form_element="error_code";
    $element_value=$create_result;
}

// 20080403 - Collect dynamic HTML content for layout
$smarty = new SmartyConnect;
$smarty->assign('L_FSSIGNUP_CHARSET', metaCharset());
$refreshStr = '';
if ($create_result == 1 || $create_result == 2 || $create_result == 3 || $create_result == 4 || $create_result == 9) {
    $refreshStr = "<meta http-equiv=\"refresh\" content=\"$wait_before_redirect;url=$failed_url\">";
    
} elseif ($create_result == 0) {
    if ($self_sign_up_option != 0) {
        $refreshStr = "<meta http-equiv=\"refresh\" content=\"$wait_before_redirect;url=$redirect_url\">";
    }
}
$smarty->assign('L_FSSIGNUP_REFRESH', $refreshStr);
$smarty->assign('L_FSSIGNUP_TITLE', $text_title);
$smarty->assign('FSSIGNUP_SUBMIT_URL', $submit_url);
$smarty->assign('FSSIGNUP_FORM_ELEMENT', $form_element);
$smarty->assign('FSSIGNUP_ELEMENT_VALUE', $element_value);
$smarty->assign('L_FSSIGNUP_STATUS_MSG', $status_message);
$smarty->assign('J_COMMON', $j_common);

// 20080403 - Move layout content and include the file here
$smarty->display('fs_signup_body.tpl');

?>
