<?php

require_once "fs_lang.php";
require_once "common_functions.php";
require_once 'generate_common.php';

$text_title=get_var('signup_form');
$text_username=get_var('signup_username');
$text_password=get_var('signup_pwd1');
$text_confirm_password=get_var('signup_pwd2');
$text_submit=get_var('signup_submit_btn');
$text_security_desc=get_var('signup_security_desc');

$text_extra_field = array();
$text_extra_field[]=get_var('ReqSignUp_extra1');
$text_extra_field[]=get_var('ReqSignUp_extra2');
$text_extra_field[]=get_var('ReqSignUp_extra3');
$text_extra_field[]=get_var('ReqSignUp_extra4');
$text_extra_field[]=get_var('ReqSignUp_extra5');
$text_extra_field[]=get_var('ReqSignUp_extra6');
$text_extra_field[]=get_var('ReqSignUp_extra7');
$text_extra_field[]=get_var('ReqSignUp_extra8');
$text_extra_field[]=get_var('ReqSignUp_extra9');
$text_extra_field[]=get_var('ReqSignUp_extra10');

$inputName = array("signup01", "signup02", "signup03", "signup04", "signup05", "signup06", "signup07", "signup08", "signup09", "signup10", );

// 20080417 - Add retrieving scratch mode
$settingobj = new COM("FSCONFIG.Cfgmgr") or die("fs_signup.php FSCONFIG.Cfgmgr Object cannot be created!");
$captcha_option = $settingobj->getKey('self_sign_up_captcha_check', 'gateway');
$isRADIUS = $settingobj->getKey("use_radius", "radius");
$isRedirect = $settingobj->getKey( 'redirect_cart', 'gateway');
$scratchLogin = $settingobj->getKey('scratch_login', 'gateway');

// 20090323 - Obtain information whether sign-up restriction is on
$self_signup_filter = $settingobj->getKey('self_signup_filter', 'gateway');

//release object
$settingobj=null;

$failed_url = "login_form.php";
$wait_b4_to_zero_page='5';

// 20080409 - Call template instead of genTable
$bGenTable = false;
if ($isRADIUS == 'true') {
    $meta = '';
    $input = '<span class="failloginspan">'.get_var('signup_problem_isRADIUS').'</span><br>';
    if ($isRedirect == 1) {
	$meta = "<META HTTP-EQUIV='Refresh' CONTENT='".$wait_b4_to_zero_page.";URL=".$failed_url."?reason=signupfail'>"; 
    }
    $bGenTable = true;
}

// 20080401 - Collect dynamic HTML content for layout, move layout content and include the file here
$smarty = new SmartyConnect;

if ($bGenTable) {
    GenTable($meta, $input, '');

// 20090323 - Add checking if not allow signing-up without IP/MAC
} elseif ((isset($scratchLogin) && $scratchLogin == 'on') || ($self_signup_filter == 0 && (!isset($_SESSION['sess_patronsoft2']) || $_SESSION['sess_patronsoft2'] == ''))) {
    $smarty->assign('L_SIGNUP_FORM_CHARSET', metaCharset());
    $smarty->assign('L_SIGNUP_FORM_TITLE', $text_title);
    if ($self_signup_filter == 0 && (!isset($_SESSION['sess_patronsoft2']) || $_SESSION['sess_patronsoft2'] == '')) {
	$smarty->assign('L_SIGNUP_FORM_BLOCK_MSG', get_var('signup_problem_no_mac'));
    } else {
	$smarty->assign('L_SIGNUP_FORM_BLOCK_MSG', get_var('signup_block_msg'));
    }
    $smarty->assign('J_COMMON', $j_common);
    $smarty->display('signup_form_block.tpl');
} else {
    $smarty->assign('L_SIGNUP_FORM_CHARSET', metaCharset());
    $smarty->assign('L_SIGNUP_FORM_PROBLEM_ID_TOTAL', get_var('signup_problem_id_total'));
    $smarty->assign('L_SIGNUP_FORM_USERNAME_CRITERIA', get_var('signup_username_criteria'));
    $smarty->assign('L_SIGNUP_FORM_PROBLEM_ID_CHARACTERS', get_var('signup_problem_id_characters'));
    $smarty->assign('L_SIGNUP_FORM_PROBLEM_ID_EMPTY', get_var('signup_problem_id_empty'));
    $smarty->assign('L_SIGNUP_FORM_PROBLEM_PWD_TOTAL', get_var('signup_problem_pwd_total'));
    $smarty->assign('L_SIGNUP_FORM_PASSWORD_CRITERIA', get_var('signup_password_criteria'));
    $smarty->assign('L_SIGNUP_FORM_PROBLEM_PWD_CHARACTERS', get_var('signup_problem_pwd_characters'));
    $smarty->assign('L_SIGNUP_FORM_PROBLEM_PWD_EMPTY', get_var('signup_problem_pwd_empty'));
    $smarty->assign('L_SIGNUP_FORM_PROBLEM_PWD_MISMATCH', get_var('signup_problem_pwd_mismatch'));
    $smarty->assign('L_SIGNUP_FORM_CAPTCHA_OPTION', $captcha_option);
    $smarty->assign('L_SIGNUP_FORM_PROBLEM_SECURITY_CODE_EMPTY', get_var('signup_problem_security_code_empty'));
    $smarty->assign('L_SIGNUP_FORM_TITLE', $text_title);
    $smarty->assign('L_SIGNUP_FORM_LANG_BOX', language_selection_box());
    $smarty->assign('L_SIGNUP_FORM_USERNAME', $text_username);
    $smarty->assign('L_SIGNUP_FORM_PASSWORD', $text_password);
    $smarty->assign('L_SIGNUP_FORM_CONFIRM_PASSWORD', $text_confirm_password);
    if ($captcha_option == "on") {
	$captchaStr = '<tr><td><span class="securityspan">'.$text_security_desc.'</span></td></tr>
	    <tr>
    		<td><img class="captchaimg" src="CaptchaImage.php?width=230&height=40&num_character=6" ALIGN=LEFT /></td>
    		<td><input type="text" class="userbox" name="security_code" tabindex="1" size="8px"><br><br></td>
	    </tr>';
	$smarty->assign('L_SIGNUP_FORM_CAPTCHA_IMAGE', $captchaStr);
    } else {
	$smarty->assign('L_SIGNUP_FORM_CAPTCHA_IMAGE', '');
    }
    // create extra information fields input box
    $extraInfoStr = '';
    foreach ($text_extra_field as $key => $value) {
	if (strcmp($value, "") != 0) {
	    $extraInfoStr .= '
	    <tr>
		<td width="30%"><span class="signupspan">'.$value.'</span></td>
		<td width="70%"><input class="signupbox" type="text" name="'.$inputName[$key].'"></td>
	    </tr>';
	}
    }
    $smarty->assign('L_SIGNUP_FORM_EXTRA_INFO', $extraInfoStr);
    $smarty->assign('SIGNUP_FORM_SUBMIT', $text_submit);
    $smarty->assign('J_COMMON', $j_common);

    $smarty->display('signup_form_body.tpl');
}

?>
