function disableAll()
{
    var oForm = document.keyform;

    oForm.mode.value = '';

    document.getElementById('tab_add').className = 'tab';
    document.getElementById('tab_edit').className = 'tab';
    document.getElementById('tab_view').className = 'tab';

    oForm.keyword.value = '';
    oForm.keyword.disabled = true;
    oForm.keyword.style.background = '#DDDDDD';

    oForm.url.value = '';
    oForm.url.disabled = true;
    oForm.url.style.background = '#DDDDDD';

    oForm.existing_keyword.selectedIndex = -1;
    oForm.existing_keyword.disabled = true;
    oForm.existing_keyword.style.background = '#DDDDDD';
}

function onAdd()
{
    var oForm = document.keyform;
    if( oForm.mode.value != 'add' )
    {
        oForm.mode.value = 'add';

        document.getElementById('tab_add').className = 'tabselected';
        document.getElementById('tab_edit').className = 'tab';
        document.getElementById('tab_view').className = 'tab';

        oForm.keyword.value = '';
        oForm.keyword.disabled = false;
        oForm.keyword.readOnly = false;
        oForm.keyword.style.background = '#FFFFFF';

        oForm.url.value = '';
        oForm.url.disabled = false;
        oForm.url.readOnly = false;
        oForm.url.style.background = '#FFFFFF';

        oForm.existing_keyword.selectedIndex = -1;
        oForm.existing_keyword.disabled = true;
        oForm.existing_keyword.style.background = '#DDDDDD';
    }
    else
        disableAll();
}

function onEdit()
{
    var oForm = document.keyform;
    if( oForm.mode.value != 'edit' )
    {
        oForm.mode.value = 'edit';

        document.getElementById('tab_add').className = 'tab';
        document.getElementById('tab_edit').className = 'tabselected';
        document.getElementById('tab_view').className = 'tab';

        oForm.keyword.value = '';
        oForm.keyword.disabled = false;
        oForm.keyword.readOnly = false;
        oForm.keyword.style.background = '#FFFFFF';

        oForm.url.value = '';
        oForm.url.disabled = false;
        oForm.url.readOnly = false;
        oForm.url.style.background = '#FFFFFF';

        oForm.existing_keyword.selectedIndex = -1;
        oForm.existing_keyword.disabled = false;
        oForm.existing_keyword.style.background = '#FFFFFF';
    }
    else
        disableAll();
}

function onView()
{
    var oForm = document.keyform;
    if( oForm.mode.value != 'view' )
    {
        oForm.mode.value = 'view';

        document.getElementById('tab_add').className = 'tab';
        document.getElementById('tab_edit').className = 'tab';
        document.getElementById('tab_view').className = 'tabselected';

        oForm.keyword.value = '';
        oForm.keyword.disabled = true;
        oForm.keyword.style.background = '#DDDDDD';
        oForm.url.value = '';
        oForm.url.disabled = true;
        oForm.url.style.background = '#DDDDDD';
        oForm.existing_keyword.selectedIndex = 0;
        oForm.existing_keyword.disabled = false;
        oForm.existing_keyword.style.background = '#FFFFFF';
        if(oForm.existing_keyword.options[0])
            onSelectBox(oForm.existing_keyword);
    }
    else
        disableAll();

}


function onDelete()
{

    var oForm = document.keyform;
    if( oForm.mode.value != 'del' ) {
        oForm.mode.value = 'del';
        oForm.existing_keyword.selectedIndex = -1;

        oForm.submit();
    }
    else
        disableAll();
}

function displayInfo(key, url, index)
{
    var oForm = document.keyform;
    oForm.keyword.value = key;
    oForm.url.value = url;
    oForm.key_index.value = index;

}
