<?php

require_once 'form_elements.php';
require_once 'category.php';

// check RADIUS, anonymous and Standby mode
$settingobj = new COM('FSCONFIG.Cfgmgr') or die('menu.php FSCONFIG.Cfgmgr Object cannot be created!');
$isRADIUS = $settingobj->getKey( 'use_radius', 'radius');
$anonymous_login_rsult = $settingobj->getKey( 'anonymous_login', 'gateway'); //check for anonymous login
$isAnonymous = $anonymous_login_rsult == 'on';

//check for Standby mode of started / stopped 
//$fs_status  = $settingobj->queryService();
//$fs_standby  = $settingobj->QueryStandby();

if (!isset($_SESSION['fs_standby'])||$_SESSION['fs_standby']=='')
    $_SESSION['fs_standby'] = 0;

$version = $settingobj->getKey('version', 'version');

	// 20090518 - Remove Start
	if (substr_count(strtolower($version), 'standard') > 0) {
        if (substr_count(strtolower($version),'donation')>0)
            $version = substr($version,0,strlen($version)-9);
        $disabled = ' disabled';
    } else {
        $disabled = '';
    }    

$FOMode = $settingobj->getKey( 'mode', 'FSFO'); 
$isStandby = $FOMode == '2';
if ($FOMode == 3)
	$isLoadBalancing=1;
else
	$isLoadBalancing=0;

//$settingobj->Release();
$settingobj=null;

?>

<!-- menu -->
<style type="text/css">
@import url(menu.css);
</style>
<script type="text/javascript">
var countdown;
function startList()
{

    var delay=2000;
    if (document.getElementById) {
	navRoot = document.getElementById("nav");
        for (i=0; i<navRoot.childNodes.length; i++) {
            node = navRoot.childNodes[i];
            if (node.nodeName=="LI") {
		node.onmouseover =function() { clearTimeout(countdown);{showDropdownList();} }
                node.onmouseout = function() {  countdown=setTimeout("hideDropdownList()",delay); }
		
            }
        }
    }
    setTimeout("OnclickFrame()",1000);
}
function showDropdownList()
{
	navRoot = document.getElementById("nav");
        for (i=0; i<navRoot.childNodes.length; i++) {
            node = navRoot.childNodes[i];
            if (node.nodeName=="LI") {if (node.className.search("over")==-1) node.className += " over";else return;}
	}
	
}
function hideDropdownList()
{
	navRoot = document.getElementById("nav");
        for (i=0; i<navRoot.childNodes.length; i++) {
            node = navRoot.childNodes[i];
            if (node.nodeName=="LI") {if (node.className.search("over")!=-1) node.className =node.className.replace(" over",""); else return;}
	}
}
function OnclickFrame()
{
	var frms = window.parent.frames;
	var embedfrms1;
	var embedfrms2;
		
	for (i=0; i < frms.length; i++)
	{
		frms[i].document.onclick=function() {clearTimeout(countdown);hideDropdownList();}
		embedfrms1 = frms[i].frames;
		for (j=0; j < embedfrms1.length; j++)
		{
			embedfrms1[j].document.onclick=function() {clearTimeout(countdown);hideDropdownList();}
			embedfrms2 = embedfrms1[j].frames;
			for (k=0; k < embedfrms2.length; k++)
			{
				embedfrms2[k].document.onclick=function() {clearTimeout(countdown);hideDropdownList();}
			}
		}
		
		
	}
}
</script>
<div id="divnav">
    <ul id="nav">
        <li class="m"><?php echo get_cm_var('menu_menu');?>

        <ul>
<?php

foreach ($arr_category as $i => $value) {
    if ($_SESSION['rootlogin']!='true' && $_SESSION['access_parameter']{$i+1} == '0') {
        $title = get_cm_var('menu_access');
        echo "            <li><a href=\"javascript:alert('$title');\" title=\"$title\">".get_cm_var("setcfg_config_mgr_access_$value")."</a></li>\n";
    } else if (($isRADIUS == 'true') && in_array($value, $DRM)) {
        $title = get_cm_var('menu_DRM');
        echo "            <li><a href=\"javascript:alert('$title');\" title=\"$title\">".get_cm_var("setcfg_config_mgr_access_$value")."</a></li>\n";
    } else if (($isAnonymous) && in_array($value, $DAM)) {
        $title = get_cm_var('menu_DAM');
        echo "            <li><a href=\"javascript:alert('$title');\" title=\"$title\">".get_cm_var("setcfg_config_mgr_access_$value")."</a></li>\n";
    } else if ( $isLoadBalancing== '0' && ((($isStandby== 'true' && $_SESSION['fs_status']  != 'STARTED' ) || ( $_SESSION['fs_standby']  == '1' && $_SESSION['fs_status']  == 'STARTED')) && in_array($value, $DSM) && $disabled !=' disabled' )) {
	    	$title = get_cm_var('menu_DSM');
        echo "            <li><a href=\"javascript:alert('$title');\" title=\"$title\">".get_cm_var("setcfg_config_mgr_access_$value")."</a></li>\n";
    } else {
        $title = get_cm_var('menu_navigate').get_cm_var("setcfg_config_mgr_access_$value");
        echo "            <li><a href=\"setcfg.php?category=$value\" title=\"$title\">".get_cm_var("setcfg_config_mgr_access_$value")."</a></li>\n";
    }
    echo "            <li>|</li>\n";
}

?>
        </ul>
        </li>
        <li class="current_category"><?php echo get_cm_var("setcfg_config_mgr_access_$category"); ?></li>
    </ul>
</div>
<script type="text/javascript">
<!--
    startList();
// -->
</script>
<!-- end menu -->

