<?php
  // security check
  require_once 'secureLogin.php';
  require_once "..\\authserv\\common_functions.php";

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Plans combo box</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<script type="text/javascript" src="./javascript/planInIframe.js"></script>
</head>
<body>
<select id="planList" style="width: 170px;" onchange="planOnchange(this)" size="21" multiple>

<?php

  // create COM object
  $settingobj = new COM('FSCONFIG.Cfgmgr') or die('plans.php FSCONFIG.Cfgmgr Object cannot be created!');
  $dsn_file = $settingobj->getKey('Datasource', 'gateway');
  $dsn_source = fopen($dsn_file, 'r') or die('Cannot open DSN source file!');

  $dsn = '';

  if (!feof($dsn_source)) { $line=fgets($dsn_source,512); }
  while (!feof($dsn_source)) {
    $line=fgets($dsn_source,512);
    if (trim($line)!='') $dsn=$dsn.$line;
  }
  $dsn=str_replace("\r\n",';',$dsn);

  $planDB=odbc_connect($dsn,'','');

  if ($planDB)
  {
    // obtain low, medium or high BT value from config.ini

    $outval = $settingobj->getKey('bt_low', 'bw_throttle');

    if($outval != '')
      $low=$outval;

    $outval = $settingobj->getKey('bt_medium', 'bw_throttle');

    if($outval != '')
      $medium = $outval;

    $outval = $settingobj->getKey('bt_high', 'bw_throttle');

    if($outval != '')
      $high = $outval;

    $firstspotplantable = $settingobj->getKey('Datasource_Plans_Tablename', 'gateway');

    $query = "SELECT * FROM $firstspotplantable ORDER BY pname;";

    $result = odbc_exec($planDB, $query);

    $k = 0;

    while (odbc_fetch_row($result)) {
        $plan = odbc_result($result, 'pname');
        $startmode = odbc_result($result, 'startmod');
        $timeleft = odbc_result($result, 'timeleft');
        if($timeleft)
            $timeleft = round($timeleft);
        //recur_option
        $recur_option = odbc_result($result, 'roption');
        $recur_sdate = odbc_result($result, 'rsdate');
        $recur_edate = odbc_result($result, 'redate');
        $week_sch = odbc_result($result, 'weeksch');

        $plan_BTUL = odbc_result($result, 'btul');
        $plan_BTDL = odbc_result($result, 'btdl');
        $plan_status = odbc_result($result, 'status');

        $plan_bwcount = odbc_result($result, 'bwcount');
        $plan_bwcountUL = odbc_result($result, 'bwcountUL');
		$plan_bwcountSHA = odbc_result($result, 'bwcountSHA');
        $logins = odbc_result($result, 'logins');
        if($logins)
            $logins = round($logins);

        $delete = odbc_result($result, 'auto_del');

        $mins = odbc_result($result, 'eminutes');
        $cmb_time = 'minutes';
        if($mins) {
            if (floor(($mins/60)/24)>0 && myIsInt(($mins/60)/24)) {
                $mins = ($mins/60)/24;
                $cmb_time = 'days';
            } else if(floor($mins/60)>0 && myIsInt($mins/60)) {
                $mins = $mins/60;
                $cmb_time = 'hours';
            } else
                $cmb_time = 'minutes';
            $mins=round($mins);
        }

        $sdate=odbc_result($result, 'sdate');
        list($startDate,$startTime) = datetime_from_mysql($sdate);
        $edate=odbc_result($result, 'edate');
        list($expiryDate,$expiryTime) = datetime_from_mysql($edate);

        $plan_bwquota = '';
        $plan_bwquotaUL = '';
		$plan_bwquotaSHA = '';

        if($plan_bwcount=='')
            $plan_bwcount = -1;
        else if($plan_bwcount==0){}
        else if($plan_bwcount==1){}
        else if($plan_bwcount==2)
            $plan_bwquota = round(odbc_result($result,'bwquota'));
        else
            $plan_bwcount = -1;

        if($plan_bwcountUL=='')
            $plan_bwcountUL = -1;
        else if($plan_bwcountUL==0){}
        else if($plan_bwcountUL==1){}
        else if($plan_bwcountUL==2)
            $plan_bwquotaUL = round(odbc_result($result,'bwquotaUL'));
        else
            $plan_bwcountUL = -1;
			
		if($plan_bwcountSHA=='')
            $plan_bwcountSHA = 0;
        else if($plan_bwcountSHA==0){}
        else if($plan_bwcountSHA==1){}
        else if($plan_bwcountSHA==2)
            $plan_bwquotaSHA = round(odbc_result($result,'bwquotaSHA'));


        $plan_no = '';
        $plan_no_dl ='';
      if($plan_BTUL==$low && $plan_BTDL==$low) {
            $plan_bt_mode = 1;
            $plan_no = round($low);
            $plan_no_dl = round($low);
      } else if($plan_BTUL==$medium && $plan_BTDL==$medium) {
            $plan_bt_mode = 2;
            $plan_no = round($medium);
            $plan_no_dl = round($medium);
      } else if($plan_BTUL==$high && $plan_BTDL==$high) {
            $plan_bt_mode = 3;
            $plan_no = round($high);
            $plan_no_dl = round($high);
      } else if ($plan_BTUL=='' && $plan_BTDL=='') {    // use Global
            $plan_bt_mode = 4;
            $plan_no = '';
            $plan_no_dl = '';
      } else if($plan_BTUL==0 && $plan_BTDL==0) {
            $plan_bt_mode=0;
      } else {
// Fix it before 2.1 release,need to handle others - Alan
            $plan_bt_mode = 5;
            $plan_no = round($plan_BTUL);
            $plan_no_dl = round($plan_BTDL);
      }

        $bwrmethod = odbc_result($result,'bwrmethod');
        $bwrperiod = odbc_result($result,'bwrperiod');
        if($bwrperiod > 0)
            $bwrperiod = round($bwrperiod);
        $bwrdate = odbc_result($result,'bwrdate');
        if($bwrdate > 0)
            $bwrdate = round($bwrdate);

        $signup = odbc_result($result, 'reqsignup'); //request signup
        
        $printQuota = odbc_result($result, 'pagenum');
        if ($printQuota)
            $printQuota = round(odbc_result($result, 'pagenum')); //print quota

        $acl = odbc_result($result, 'acl'); //access control list

        $resetopt = odbc_result($result, 'resetopt');
        if ( $resetopt != null )
            $resetopt = round($resetopt);
        else
            $resetopt = 0;
        
        $autodel = odbc_result($result, 'auto_del');
        if ( strlen($autodel) > 0 && $autodel==1 )
            $autodel = 1;
        else
            $autodel = 0;
            
        $mac_map = odbc_result($result, 'macmap');
        if ( $mac_map != null )
            $mac_map = round($mac_map);
        else
            $mac_map = 0;
            
        $ip_map = odbc_result($result, 'ipmap');
        if ( $ip_map != null )
            $ip_map = round($ip_map);
        else
            $ip_map = 0;
            
        echo "    <option id=\"plan$k\" value=\"$k,$plan,$timeleft,$mins,$cmb_time,$startDate,$expiryDate,$startTime,$expiryTime,$plan_bt_mode,$plan_bwcount,$plan_bwquota,$plan_no,$plan_no_dl,$startmode,$logins,$plan_status,$bwrmethod,$bwrperiod,$bwrdate,$plan_bwcountUL,$plan_bwquotaUL,$printQuota,$acl,$signup,$recur_option,$recur_sdate,$recur_edate,$week_sch,$resetopt,$autodel,$mac_map,$ip_map,$plan_bwcountSHA,$plan_bwquotaSHA \">$plan\n";

        $k++;
    }
    odbc_close($planDB);
  } else
      echo 'connection failed!';

  //free COM object
  //$settingobj->Release();
  $settingobj=null;
?>

</select>
</body>
</html>
