<?
include_once("secureLogin.php");
include_once("..\\authserv\\common_functions.php");
include_once("cmvar.php");
// edited 3 September, 2003

// 20081030 - Obtain login mode status
// create COM object
$settingobj = new COM("FSCONFIG.Cfgmgr") or die("userlog.php FSCONFIG.Cfgmgr Object cannot be created!");
$dsn_file = $settingobj->getKey( "Datasource", "gateway");
$dsn_source=fopen($dsn_file, "r") or die("Cannot open DSN source file!");
$dsn="";
$isAnony = $settingobj->getKey( "anonymous_login", "gateway");
$scratch_login = (strtolower($settingobj->getKey('scratch_login', 'gateway') == 'on'))? 'true' : 'false';

if (!feof($dsn_source)) 
    $line=fgets($dsn_source,512); 

while (!feof($dsn_source)){
    $line=fgets($dsn_source,512);
    if (trim($line)!="")
        $dsn=$dsn.$line;
}

$dsn=str_replace("\r\n",";",$dsn);
$userDB=odbc_connect($dsn,"","");

if($userDB){
// user log
    $firstspotuserlogtable=$settingobj->getKey( "Datasource_Log_Tablename", "gateway"); 
    $query1 = "SELECT name, logintime, logouttime, duration, ipormac, reserved10 as logints, reserved11 as logoutts, bwusage, bwusageUL,bwusageSHA, siteID
        FROM $firstspotuserlogtable";

    $result=odbc_exec($userDB,$query1); 

    // Query Normal Login Log 
?>
<html>
<head>
<title>User Log</title>
<style type="text/css">
<!--
table { font-family: Arial, sans-serif; font-size: 10pt; }
-->
</style>
</head>
<body>
<!-- 20071112 - Include loading box script -->
<script type="text/javascript" src="./javascript/loadingBox.js"></script>
<table width="1200" border="0" cellspacing="0" cellpadding="0">
    <tr>
<?
    // 20081030 - Handling for Scratch Code mode
    if ($scratch_login == 'true') {
?>
        <td width="200" valign="top"><b><?=get_cm_var('setcfg_users_log_scode')?></b></td>
<?
    } else {
?>
        <td width="200" valign="top"><b><?=get_cm_var('setcfg_users_log_name')?></b></td>
<?
    }
?>
        <td width="180" valign="top"><b><?=get_cm_var('setcfg_users_log_ip_mac')?></b></td>
        <td width="180" valign="top"><b><?=get_cm_var('setcfg_users_log_login_time')?></b></td>
        <td width="180" valign="top"><b><?=get_cm_var('setcfg_users_log_logout_time')?></b></td>
        <td width="100" valign="top"><b><?=get_cm_var('setcfg_users_log_duration')?></b></td>
        <td width="100" valign="top"><b><?=get_cm_var('setcfg_users_log_usage')." (Download)"?></b></td>
        <td width="100" valign="top"><b><?="Data Transfer (Upload)"?></b></td>
		<td width="100" valign="top"><b><?="Data Transfer (Total)"?></b></td>
		<td width="180" valign="top"><b><?=get_cm_var('setcfg_users_log_site')?></b></td>
    </tr>
<?
    while(odbc_fetch_row($result)){ 
        $name=odbc_result($result,"name");
        $logintime=odbc_result($result,"logintime");
        $logouttime=odbc_result($result,"logouttime");
        $duration=odbc_result($result,"duration");
        $macIP=odbc_result($result,"ipormac");
        $bwusage=odbc_result($result,"bwusage");
        $bwusageUL=odbc_result($result,"bwusageUL");
		$bwusageSHA=odbc_result($result,"bwusageSHA");
		$siteID=odbc_result($result,"siteID");

        // consider whether the long value of the result
        // is equal or larger than (2 to power 33)-1 
        if($macIP>=8589934890){
            $macIP_str=make_mac_name($macIP);   
        }else{
            $macIP_str=long2ip($macIP);  

            // since the bytes of this ip is inverted, we need to reformat it
            $tok = strtok($macIP_str,".");
            $i=0;
            $ip[$i++]=$tok;

            while($tok){
                $tok = strtok(".");
                $ip[$i++]=$tok;
            }

            if( $macIP_str == "255.255.255.255" || !(isset($ip[3])&&$ip[3]!=""&&$ip[3]!="0") )
                $macIP_str=make_mac_name($macIP);
            else
                $macIP_str=$ip[3].".".$ip[2].".".$ip[1].".".$ip[0];
        }

        if($duration)
            $duration=round($duration);
        echo "
            <tr>";

			echo "
				<td width=\"200\">".$name."</td>";

		echo "
                <td width=\"180\">".$macIP_str."</td>
                <td width=\"180\">".$logintime."</td>
                <td width=\"180\">".$logouttime."</td>
                <td align=\"center\" width=\"100\">".$duration."</td>
                <td width=\"100\">";
        if($bwusage=="")
            echo "N/A";	
		// spun 20070312 - only display KB as the unit
		else
			echo round($bwusage)."KB";
		/*
        else if($bwusage<1024)
            echo $bwusage."KB";	
        else if($bwusage<1048576){
            $bwusageMB = round($bwusage/1024,2);
            echo $bwusageMB."MB";
        }else{
            $bwusageGB = round($bwusage/1024/1024,2);
            echo $bwusageGB."GB";
        } */
		
        echo "</td>
                <td width=\"100\">";

        if($bwusageUL=="")
            echo "N/A";			
		// spun 20070312 - only display KB as the unit
		else 
			echo round($bwusageUL)."KB";
		/*
	 else if($bwusageUL<1024)
            echo $bwusageUL."KB";		
        else if($bwusageUL<1048576){
            $bwusageULMB = round($bwusageUL/1024,2);
            echo $bwusageULMB."MB";
        }else{
            $bwusageULGB = round($bwusageUL/1024/1024,2);
            echo $bwusageULGB."GB";
        }
		*/		
		
		echo "</td>
                <td width=\"100\">";

        if($bwusageSHA=="")
            echo "N/A";			
		// spun 20070312 - only display KB as the unit
		else 
			echo round($bwusageSHA)."KB";
                
        echo "</td>
				<td width=\"100\">";
		if ($siteID=="")
			echo "N/A";	
		else
			echo $siteID;
        echo "</td>\n</tr>\n";
    }

    echo "</table>\n";
    // 20071112 - Close loading box
    echo "<script type=\"text/javascript\">CallParentLoadingBox(false, false);</script>\n";
    echo "</body>\n";
    echo "</html>";
    odbc_close($userDB);
}else{
    echo "connection failed!";  
}

//$settingobj->Release();
$settingobj=null;
?>

